.produtos {
  padding: 0 1rem;
}

.produtos-title {
  font-size: 3.6rem;
  color: #333;
  margin-bottom: 10px;
  font-weight: 500;
  letter-spacing: -2px;
  line-height: 1;
}

.produtos-subtitle {
  font-size: 1.5rem;
  font-weight: 500;
}

hr {
  border: none;
  border-bottom: 1px solid #dcdcdc;
  margin: 15px 0;
  width: 100%;
}

.produtos .row {
  display: flex;
  width: 100%;
  max-width: 1440px;
  margin: 0 auto;
  margin-bottom: 40px;
  flex-direction: column;
}

.produtos .row.header .flex {
  display: flex;
  gap: 30px;
  align-items: center;
}

.produtos .row.header .flex .text-bemvindo {
  font-size: 2rem;
  font-weight: 500;
}

.produtos .row .flex {
  display: flex;
  gap: 20px;
  align-items: flex-start;
}

.produtos .row .flex .column.right {
  width: 30%;
  margin-bottom: 50px;
}

.produtos .row .flex .column.left {
  width: 70%;
  display: flex;
  flex-direction: column;
}

.produtos .row .flex .column .btn-filtro {
  cursor: pointer;
  background-color: transparent;
  display: none;
  margin-bottom: 0;
}

.produtos .row .flex .column .filtro {
  border: 1px solid #dcdcdc;
  border-radius: 20px;
  padding: 20px;
  box-sizing: border-box;
}

.produtos .row .flex .column .filtro .item {
  display: flex;
  justify-content: space-between;
}

.produtos .row .flex .column .filtro .item label {
  cursor: pointer;
  font-size: 1.3rem;
  width: 100%;
}

.produtos .row .flex .column .filtro ul {
  list-style: none;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  justify-content: center;
}

.produtos .row .flex .column .filtro ul li {
  list-style: none;
  font-size: 1.3rem;
  border-radius: 10px;
  border: 1px solid #fff;
  width: 100%;
  padding: 5px 10px;
}

.produtos .row .flex .column .filtro ul li:hover img {
  filter: contrast(1);
}

.produtos .row .flex .column .filtro ul li.active {
  border: 1px solid #dcdcdc;
  background-color: #f2f2f2;
}

.produtos .row .flex .column .filtro ul li a {
  color: #000;
  text-decoration: none;
  display: flex;
  align-items: center;
}

.produtos .row .flex .column .filtro ul li img {
  margin-right: 18px;
  max-width: 22px;
  height: auto;
  filter: contrast(0.4);
}

.radio-card {
  display: inline-block;
  cursor: pointer;
}

.radio-card input {
  display: none;
}

.radio-card .content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
  padding: 12px 16px;
  border-radius: 10px;

  transition: all 0.3s ease;
}

.radio-card .text {
  font-weight: 600;
}

.radio-card .icon {
  opacity: 1;
  transform: scale(1);
  background: #fff;
  border: 1px solid #6d6d6d;
  border-radius: 5px;
  padding: 2px;
}

/* HOVER */
.radio-card:hover .content {
  border-color: #000;
}

/* SELECIONADO */
/* .radio-card input:checked + .content {
  border-color: #000;
  background: #000;
  color: #fff;
} */

/* Ícone aparece */
.radio-card input:checked + .content .icon {
  opacity: 1;
  transform: scale(1);
  background: #6d6d6d;
  border-radius: 5px;
  padding: 2px;
}

.fa-check:before {
  content: "\f00c";
  color: #fff;
}

@media screen and (max-width: 991px) {
  .produtos-title {
    font-size: 2.5rem;
  }
  .produtos-subtitle {
    font-size: 1.2rem;
  }
  .produtos .row .flex .column .filtro .item label {
    font-size: 1rem;
  }
}

@media screen and (max-width: 768px) {
  .produtos .row .flex {
    flex-direction: column;
  }

  .produtos .row .flex .column.right,
  .produtos .row .flex .column.left {
    width: 100%;
  }
  .produtos .row .flex .column .btn-filtro {
    display: block;
    text-align: center;
    margin: 0 auto;
    font-size: 1.2rem;
    margin-bottom: 15px;
  }
  .produtos .row .flex .column .btn-filtro i {
    transition: transform 0.3s ease;
  }
  .produtos .row .flex .column .btn-filtro.ativo i {
    transform: rotate(180deg);
  }

  .produtos .row .flex .column .filtro {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition:
      max-height 0.4s ease,
      opacity 0.3s ease;
  }
  .produtos .row .flex .column .filtro.ativo {
    max-height: 100vh; /* ajuste conforme o conteúdo */
    opacity: 1;
  }
}
